#include <bits/stdc++.h>
using namespace std;
long long n,m,l,r,x;
struct slog{
long long od;
long long dou;
}a[100000005];
int main(){
    cin>>n>>m;
    for(int i=1;i<=n;i++){
        cin>>a[i].od>>a[i].dou;
    }
    long long br=0;
    for(int i=1;i<=m;i++){
        br=0;
        cin>>l>>r>>x;
        for(int j=l;j<=r;j++){
            if(x>=a[j].od and x<=a[j].dou)br++;
        }
        cout<<br<<endl;}


    return 0;
}